0

I'm using Spacemacs to develop a laravel + Vue application and I followed the steps in this configuration example to highlight syntax in Vue, but now every time Spacemacs starts it gives me this error:


(Spacemacs) Error in dotspacemacs/user-config: Symbol’s function definition is void: lsp-make-traverser.

This is my dotspacemacs-user-config():

EDIT 1: Only the vue-mode example config.

(defun dotspacemacs/user-config ()

  (require 'vue-mode)
  (add-to-list 'vue-mode-hook #'smartparens-mode)

  (require 'lsp-mode)
  (require 'lsp-vue)
  (add-hook 'vue-mode-hook #'lsp-vue-mmm-enable)
  (with-eval-after-load 'lsp-mode
    (require 'lsp-flycheck))

  (require 'company-lsp)
  (push 'company-lsp company-backends))

OS: Ubuntu 18.10

Emacs: GNU Emacs 25.2.2

Spacemacs: 0.200.13

Here is my dotspacemacs

  • Please narrow the code you show down to just what is needed to raise the error. – Drew Jan 18 at 4:15
  • I don't know much about lisp so i don't know what's causing the error, anyway, I've posted a copy of my whole config file. @Drew – alejandrohtadinom Jan 18 at 13:30
  • I found an open issue that seems to be what you are running into. There's a solution in the conversation you might find helpful github.com/emacs-lsp/lsp-vue/issues/20 – shoshin Jan 27 at 3:06

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.